"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

const findOne = async (pool, readModelName, tableName, searchExpression, fieldList) => {
  const {
    inlineLedgerExecuteStatement,
    escapeId,
    escapeStr,
    tablePrefix,
    searchToWhereExpression,
    makeNestedPath,
    splitNestedPath,
    convertResultRow,
    schemaName
  } = pool;
  const searchExpr = searchToWhereExpression(searchExpression, escapeId, escapeStr, makeNestedPath, splitNestedPath);
  const inlineSearchExpr = searchExpr.trim() !== '' ? `WHERE ${searchExpr} ` : '';
  const rows = await inlineLedgerExecuteStatement(pool, `SELECT * FROM ${escapeId(schemaName)}.${escapeId(`${tablePrefix}${tableName}`)}
    ${inlineSearchExpr}
    OFFSET 0
    LIMIT 1;`, inlineLedgerExecuteStatement.SHARED_TRANSACTION_ID);

  if (Array.isArray(rows) && rows.length > 0) {
    return convertResultRow(rows[0], fieldList);
  }

  return null;
};

var _default = findOne;
exports.default = _default;
//# sourceMappingURL=find-one.js.map